Subject: Re: bug#23599: [PATCH 2/2] texi: define new AM_TEXI2FLAGS variable

From: Mike Frysinger <[email-masked]>
Date: Thu, 27 Jan 2022 02:56:01 -0500

On 26 Jan 2022 19:50, Karl Berry wrote:
> I don't really understand why this patch is in two parts, with seemingly
> the same change, but whatever, doesn't matter.

they're logically independent things.  one fixes a bug by adding -I paths,
the other is a nice-to-have new feature.

>     * doc/automake.texi: Mention new AM_TEXI2FLAGS setting.
>     * lib/am/texibuild.am: Pass $(AM_TEXI2FLAGS) to TEXI2DVI & TEXI2PDF.
> 
> 1) Maybe something should be said about the -I propagation/restriction?

the manual doesn't have that info today about even the makeinfo step.
the existing Texinfo chapter doesn't appear to be well organized, just
a random collection of facts, so i can another paragraph in there.

> I have to admit I don't see where in your changes the -I comes into
> play, other than being stated in the comments.

the -I change isn't relevant to this patch.  this one is about letting
people pass extra flags to the tex2dvi/texi2pdf steps like we already
have with the makeinfo steps.
-mike